summaryrefslogtreecommitdiff
path: root/dev-python/hidapi
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-11-07 17:54:39 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-11-07 17:54:39 +0000
commitf505f8693ffbc43ca490425a6a3afddd588d886b (patch)
treedc7ec3435f724611685d1b5b7816f79db1d7a5b8 /dev-python/hidapi
parent90d80207389eb58e168358808887d0fc2b59924c (diff)
downloadbaldeagleos-repo-f505f8693ffbc43ca490425a6a3afddd588d886b.tar.gz
baldeagleos-repo-f505f8693ffbc43ca490425a6a3afddd588d886b.tar.xz
baldeagleos-repo-f505f8693ffbc43ca490425a6a3afddd588d886b.zip
Adding metadata
Diffstat (limited to 'dev-python/hidapi')
-rw-r--r--dev-python/hidapi/Manifest1
-rw-r--r--dev-python/hidapi/hidapi-0.14.0_p3.ebuild43
2 files changed, 44 insertions, 0 deletions
diff --git a/dev-python/hidapi/Manifest b/dev-python/hidapi/Manifest
index b4e2a1bfbf3d..28713b7d11fd 100644
--- a/dev-python/hidapi/Manifest
+++ b/dev-python/hidapi/Manifest
@@ -1,2 +1,3 @@
DIST hidapi-0.14.0.post2.tar.gz 172542 BLAKE2B 7f9028b913a3fcbe893ecbe73210ef465ce08cd12f807c234964550756a56aacc9a2a32c237e86d3028d5116dccabf67ee85cfaa4d806ef63357d57a8e65cddf SHA512 ae1bc66a42b6dbeae0913a62909d24ef11801f6709cef6a33fb9f888a985782b64452dea2f79caee5aa7c6a49cab7af9ff5717cee4fe52fe6137096332180bd4
+DIST hidapi-0.14.0.post3.tar.gz 172567 BLAKE2B 6bd08502bf8524e4050ef4cd113703b8cde8b414cbaace959f26189345521e06ef8bb2c0492a5582db97be25dca0e1ca2d93369aaa2db149b4f94cb4a990c426 SHA512 5e3a3c15fd58d9afc4b40d06c82e0aebf40a083e4331c68ee809ae26ee08710507e85f1e95311210ce4c0ba04e7f15cabd40a0a72b74b2b8000fabdf93e2883f
DIST hidapi-0.14.0.tar.gz 143052 BLAKE2B ebf3fb9608b1f18d9fa24aaa4bca7b2e5cbbbbcbdb6a33da41456f614d0cace556231bb8eb17c21e2a79a5292970cb37f7a46fb6cd1e82efb0a646cf8a942d2a SHA512 228fac22621e36a3108cefd418937a7ed0153e334e19999e947aad341a753d614877cd3f7add90d78037ebe9c7b3f6cbc42973a8e680188da14928311d317b17
diff --git a/dev-python/hidapi/hidapi-0.14.0_p3.ebuild b/dev-python/hidapi/hidapi-0.14.0_p3.ebuild
new file mode 100644
index 000000000000..771571684fab
--- /dev/null
+++ b/dev-python/hidapi/hidapi-0.14.0_p3.ebuild
@@ -0,0 +1,43 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A Cython interface to HIDAPI library"
+HOMEPAGE="
+ https://github.com/trezor/cython-hidapi/
+ https://pypi.org/project/hidapi/
+"
+
+LICENSE="|| ( BSD GPL-3 )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+DEPEND="
+ >=dev-libs/hidapi-$(ver_cut 1-3)
+"
+RDEPEND="
+ ${DEPEND}
+"
+BDEPEND="
+ dev-python/cython[${PYTHON_USEDEP}]
+ virtual/pkgconfig
+"
+
+distutils_enable_tests pytest
+
+python_configure_all() {
+ DISTUTILS_ARGS=(
+ --with-system-hidapi
+ )
+}
+
+python_test() {
+ epytest tests.py
+}